[PACKAGE]: ../../raw/master/mkp/huawei_bgp_peer-1.0.0-20230613.mkp "huawei_bgp_peer-1.0.0-20230613.mkp"
# Huawei BGP Peer
Monitors status of Huawei BGP peers (HUAWEI-BGP-VPN-MIB)

**Note**: the service name has ben changed from _**Huawei BGP peer**_ to _**BGP peer**_. 

----
### Check Info:

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6) [see bgp_peer service](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/master/README.md "BGP peer readme.md")
* *state*: \
    **critical**: if Peer state is idle or if *hwBgpPeerUnAvaiReason* not 0\
    **warning**: if Peer state is not idle and not established, if Peer uptime < min. uptime
* *wato*: [see bgp_peer WATO options](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/raw/master/doc/wato.png?raw=true "BGP Peer WATO options")

* *perfdata*: 
    * FMS transitions (count)
    * FMS last change (s)
    * Prefixes advertised (count)
    * Prefixes received (count)
    * Prefixes active (count)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

**Note**: This plugin is based on [BGP Peer](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer "BGP Peer"). To use **_huawei_bgp_peer_** you need to install **_bgp_peer_** as well.

---

### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---

Sample output

![sample output](img/sample.png?raw=true "sample [SHORT TITLE]")


